"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _lodash = _interopRequireDefault(require("lodash.get"));

var _react = _interopRequireDefault(require("react"));

var Bool = function Bool(_ref) {
  var field = _ref.field,
      form = _ref.form,
      checked = _ref.checked,
      value = _ref.value,
      _ref$componentClass = _ref.componentClass,
      Component = _ref$componentClass === void 0 ? 'div' : _ref$componentClass,
      _onChange = _ref.onChange,
      validationState = _ref.validationState,
      children = _ref.children,
      props = (0, _objectWithoutProperties2["default"])(_ref, ["field", "form", "checked", "value", "componentClass", "onChange", "validationState", "children"]);
  var newProps = {};

  if (typeof value !== 'undefined' || typeof checked !== 'undefined') {
    newProps.checked = !!value || !!checked;
  } else if (field && typeof field.value !== 'undefined') {
    newProps.checked = !!field.value;
  }

  return /*#__PURE__*/_react["default"].createElement(Component, (0, _extends2["default"])({}, props, newProps, {
    value: value,
    onChange: function onChange(newValue) {
      if (_onChange) {
        _onChange(newValue);
      } else if (form && field) {
        form.setFieldValue(field.name, newValue);
      }
    },
    validationState: validationState || (field && form && (0, _lodash["default"])(form.errors, field.name) ? 'error' : null)
  }), children) // </div>
  ;
};

var _default = Bool;
exports["default"] = _default;
//# sourceMappingURL=Bool.js.map